#include <SoftwareSerial.h>
#include "zBus.h"

zBus RS485; 

SoftwareSerial SerialRS485(10, 11);

void setup(){
  Serial.begin(9600);
  SerialRS485.begin(9600);
  // inicializace Master zarizeni, pin D3 ridi smes komunikace
  RS485.beginMaster(&SerialRS485, 3);
}

uint16_t hodnota;

void loop(){

  // odesle slave zarizeni s adresou 10 "prikaz" G
  RS485.sendData("G", 10, 1);
   
  // ceka na odpoved od slave 
  while (RS485.readData(&hodnota, sizeof(hodnota)) == NO_DATA);
  
  if (RS485.getStatus() == NO_ERROR) {
    // pokud jsou prijata data vporadku, tak je zobrazi na Serial
    Serial.print("Prijato: ");
    Serial.println(hodnota);
  } else {
    // jinak vypise kod chyby
    Serial.print("Error: ");
    Serial.println(RS485.getStatus());
  }

  delay(1000);
}
