#include <SoftwareSerial.h>
#include "zBus.h"

zBus RS485; 

SoftwareSerial SerialRS485(10, 11);

void setup(){
  SerialRS485.begin(9600);
  // inicializace Slave zarizeni s adresou 10, pin D3 ridi smes komunikace
  RS485.beginSlave(&SerialRS485, 10, 3);
}

void loop(){ 
  uint8_t  command;
  uint16_t hodnota;

  // jsou-li prijata data bez chyby
  if (RS485.readData(&command, sizeof(command)) == NO_ERROR) {
    // a je prijat znak G  
    if (command == 'G') {
      hodnota = analogRead(0);
      // odesle jako odpoved hodnotu zmerenou na AD0
      RS485.sendData(&hodnota, sizeof(hodnota));
    }
  }
}
