#include <SoftwareSerial.h>
#include "zBus.h"

zBus RS485; 

struct Packet{
  uint8_t command;
  int16_t data;
};

Packet packet;
SoftwareSerial SerialRS485(10, 11);

#define LED   13

void setup(){
  Serial.begin(9600);
  SerialRS485.begin(9600);
  // inicializace Master zarizeni, pin D3 ridi smes komunikace
  RS485.beginMaster(&SerialRS485, 3);
}

uint16_t hodnota;

void loop(){

  packet.command = 'W';
  packet.data = random(100, 1000);
  // odesle slave zarizeni s adresou 10, zpravu obsahujici dve polozky:
  //  command - prikaz W
  //  data    - nahodnou ciselnou hodnotu v rozsahu 100 - 1000
  RS485.sendData(&packet, sizeof(packet), 10);

  delay(1000);
}
